Package ru.bitel.oss.systems.inventory.resource.server.bean

# Class DeviceInterfaceIndexDao

java.lang.Object
ru.bitel.oss.systems.inventory.resource.server.bean.DeviceInterfaceIndexDao

public class DeviceInterfaceIndexDao extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DeviceInterfaceIndexDao.DeviceInterfaceIndexItem`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceInterfaceIndexDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DeviceInterfaceIndex`
  `getFromRS(ResultSet rs)`
  `static Map<Integer,List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>>`
  `getIfaceIndexMap(DeviceInterfaceIndexDao interfaceIndexDao, Map<Integer,Map<Integer,List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>>> deviceInterfaceIndexMap, int deviceId)`
  `List<DeviceInterfaceIndex>`
  `list(int deviceId, Integer interfaceId, Date time)`
  `void`
  `update(int deviceId, int interfaceId, List<DeviceInterfaceIndex> interfaceIndexList)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeviceInterfaceIndexDao

    public DeviceInterfaceIndexDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected DeviceInterfaceIndex getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update(int deviceId, int interfaceId, List<DeviceInterfaceIndex> interfaceIndexList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<DeviceInterfaceIndex> list(int deviceId, Integer interfaceId, Date time) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getIfaceIndexMap

    public static Map<Integer,List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>> getIfaceIndexMap(DeviceInterfaceIndexDao interfaceIndexDao, Map<Integer,Map<Integer,List<DeviceInterfaceIndexDao.DeviceInterfaceIndexItem>>> deviceInterfaceIndexMap, int deviceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`